/**
 * 工作分包通知书相关接口
 */
import request from '@/api/index'

// 列表
export function getListPage(data: any) {
  return request({
    url: `/business/outsource/notice/approval/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 打印导出
export function printPage(data: object) {
  return request({
    url: '/business/outsource/notice/exportFile',
    method: 'post',
    data,
    responseType: 'blob',
  })
}
// 详情
export function getPageDetail(data: any) {
  return request({
    url: `/business/outsource/notice/detail?id=${data.id}`,
  })
}
